## golang-mongodb-mongo-driver 1.8.0+ds1

=== debian/changelog ===
golang-mongodb-mongo-driver (1.8.0+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #1001018)

 -- Guillem Jover <gjover@sipwise.com>  Thu, 02 Dec 2021 23:30:00 +0100
