## golang-mongodb-mongo-driver 1.8.1+ds1

=== debian/changelog ===
golang-mongodb-mongo-driver (1.8.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to non-obsolete packages for dependencies.
  * Remove .git from URL in watch file.
  * Fix test suite using 64-bit literals on 32-bit systems.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 13 Dec 2021 22:26:26 +0100
