=== debian/control ===
--- 
+++ 
@@ -10,8 +10,10 @@
  dh-sequence-golang,
  golang-any,
  golang-github-go-stack-stack-dev,
+ golang-github-golang-snappy-dev,
  golang-github-google-go-cmp-dev,
  golang-github-klauspost-compress-dev,
+ golang-github-kr-pretty-dev,
  golang-github-montanaflynn-stats-dev,
  golang-github-pkg-errors-dev,
  golang-github-stretchr-testify-dev,
@@ -22,8 +24,6 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-sync-dev,
  golang-golang-x-tools-dev,
- golang-pretty-dev,
- golang-snappy-go-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-mongodb-mongo-driver
@@ -36,8 +36,10 @@
 Multi-Arch: foreign
 Depends:
  golang-github-go-stack-stack-dev,
+ golang-github-golang-snappy-dev,
  golang-github-google-go-cmp-dev,
  golang-github-klauspost-compress-dev,
+ golang-github-kr-pretty-dev,
  golang-github-montanaflynn-stats-dev,
  golang-github-pkg-errors-dev,
  golang-github-stretchr-testify-dev,
@@ -48,8 +50,6 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-sync-dev,
  golang-golang-x-tools-dev,
- golang-pretty-dev,
- golang-snappy-go-dev,
  ${misc:Depends},
 Description: MongoDB official driver for Go
  The MongoDB Go official driver implements the API necessary to interface
