## golang-mongodb-mongo-driver 1.8.4%2Bds1

=== debian/changelog ===
golang-mongodb-mongo-driver (1.8.4+ds1-3) unstable; urgency=medium

  * Remove trailing whitespace from changelog entry.
  * Add tzdata to Build-Depends for the test suite.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update copyright years.
  * Update lintian overrides.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 29 Nov 2022 19:18:57 +0100

golang-mongodb-mongo-driver (1.8.4+ds1-2) unstable; urgency=medium

  [ Edward Betts ]
  * d/control: Remove erroneous .git from the end of the homepage URL.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 12 Jul 2022 02:41:41 +0100

golang-mongodb-mongo-driver (1.8.4+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 11 Mar 2022 20:31:48 +0100
