## golang-mongodb-mongo-driver 1.8.4+ds1

=== debian/control ===
--- 
+++ 
@@ -24,11 +24,12 @@
  golang-golang-x-crypto-dev,
  golang-golang-x-sync-dev,
  golang-golang-x-tools-dev,
+ tzdata <!nocheck>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-mongodb-mongo-driver
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-mongodb-mongo-driver.git
-Homepage: https://github.com/mongodb/mongo-go-driver.git
+Homepage: https://github.com/mongodb/mongo-go-driver
 XS-Go-Import-Path: go.mongodb.org/mongo-driver
 
 Package: golang-mongodb-mongo-driver-dev
