=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := \
	data \
	# EOL

export DH_GOLANG_EXCLUDES := \
	data/bson-corpus/bsonview \
	data/server-discovery-and-monitoring/errors/generate-error-tests.py \
	data/transactions/legacy/mongos-pin-auto-tests.py \
	mongo/integration \
	x/mongo/driver/integration \
	# EOL

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
