=== debian/changelog ===
golang-mongodb-mongo-driver (1.12.1+ds1-2) unstable; urgency=medium

  * Team upload

  [ Guillem Jover ]
  * Exclude examples/ to fix autopkgtest.
    The code under examples uses modules that are also excluded, which makes
    the autopkgtest fail.

  [ Shengjing Zhu ]
  * Skip tests which need networking

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Nov 2023 16:40:44 +0800

golang-mongodb-mongo-driver (1.12.1+ds1-1) unstable; urgency=medium

  * New upstream release.
    - Fix build failure. (Closes: #1052870)
  * Remove DH_GOLANG_INSTALL_EXTRA and update DH_GOLANG_EXCLUDES.
  * Update build dependencies.
  * Run tests with -short instead of patching the code.
  * Remove patch integrated upstream.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.6.2 (no changes needed).
  * Update license and copyright information.

 -- Guillem Jover <gjover@sipwise.com>  Thu, 05 Oct 2023 23:56:06 +0200
