=== debian/control ===
Source: golang-mongodb-mongo-driver
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Guillem Jover <gjover@sipwise.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-davecgh-go-spew-dev,
 golang-github-golang-snappy-dev,
 golang-github-google-go-cmp-dev,
 golang-github-klauspost-compress-dev,
 golang-github-montanaflynn-stats-dev,
 golang-github-xdg-go-scram-dev,
 golang-github-xdg-go-stringprep-dev,
 golang-github-youmark-pkcs8-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-sync-dev,
 tzdata <!nocheck>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-mongodb-mongo-driver
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-mongodb-mongo-driver.git
Homepage: https://github.com/mongodb/mongo-go-driver
XS-Go-Import-Path: go.mongodb.org/mongo-driver

Package: golang-mongodb-mongo-driver-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-davecgh-go-spew-dev,
 golang-github-golang-snappy-dev,
 golang-github-google-go-cmp-dev,
 golang-github-klauspost-compress-dev,
 golang-github-montanaflynn-stats-dev,
 golang-github-xdg-go-scram-dev,
 golang-github-xdg-go-stringprep-dev,
 golang-github-youmark-pkcs8-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-sync-dev,
 ${misc:Depends},
Description: MongoDB official driver for Go
 The MongoDB Go official driver implements the API necessary to interface
 with MongoDB servers.
 .
 It support wire protocol compression using Snappy, zLib, or zstd.
 .
 MongoDB 2.6 and higher is required.
