## golang-mongodb-mongo-driver 1.17.1%2Bds1

=== debian/changelog ===
golang-mongodb-mongo-driver (1.17.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Disable further network accesses from test suite.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 07 Oct 2024 20:10:13 +0200

golang-mongodb-mongo-driver (1.17.0+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 01 Oct 2024 01:47:03 +0200

golang-mongodb-mongo-driver (1.16.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Ignore pre-release versions in debian/watch.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Refresh patch to disable new test requiring a MongoDB server.
  * Update license and copyright information.

 -- Guillem Jover <gjover@sipwise.com>  Fri, 30 Aug 2024 17:08:31 +0200
