=== debian/changelog ===
golang-mongodb-mongo-driver (1.17.1+ds1-2) unstable; urgency=medium

  * Skip the parts of TestParseDecimal128 that fail on 32bit platforms,
    Closes: #1103117

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 04 May 2025 09:22:50 -0400
