=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  golang-golang-x-sync-dev,
  tzdata <!nocheck>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-mongodb-mongo-driver
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-mongodb-mongo-driver.git
 Homepage: https://github.com/mongodb/mongo-go-driver
